> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1licenseassignmentoverview



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.License//swagger/v1/swagger.json post /api/v1/license/Assignment/overview
openapi: 3.0.0
info:
  title: NDS.Services.License
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.License/
security: []
paths:
  /api/v1/license/Assignment/overview:
    post:
      tags:
        - LicenseAssignment
      operationId: LicenseAssignment_GetAssignments
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetLicenseAssignmentRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLicenseAssignmentResult'
components:
  schemas:
    GetLicenseAssignmentRequest:
      type: object
      additionalProperties: false
      properties:
        Identities:
          type: array
          nullable: true
          items:
            type: string
        IncludeHereditary:
          type: boolean
    GetLicenseAssignmentResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Permissions:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/AssignedPermission'
            ErroneousPermissions:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ErroneousAssignedPermission'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    AssignedPermission:
      type: object
      additionalProperties: false
      properties:
        PermissionId:
          type: string
          nullable: true
        IdentityId:
          type: string
          nullable: true
        TimeStamp:
          type: string
          format: date-time
        Type:
          $ref: '#/components/schemas/AssignmentType'
    ErroneousAssignedPermission:
      allOf:
        - $ref: '#/components/schemas/AssignedPermission'
        - type: object
          additionalProperties: false
          properties:
            Reason:
              $ref: '#/components/schemas/ReasonEnum'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    AssignmentType:
      type: integer
      description: ''
      x-enumNames:
        - Normal
        - Inherited
        - Hereditary
      enum:
        - 0
        - 1
        - 2
    ReasonEnum:
      type: integer
      description: ''
      x-enumNames:
        - Expired
        - InsufficientLicenses
      enum:
        - 0
        - 1

````